Subject: bug#71168: 30.0.50; Emacs crash in resolve_face_name after infinite recoursion

From: Stefan Kangas <[email-masked]>
Date: Sat, 25 May 2024 13:32:44 -0400

Eli Zaretskii <[email-masked]> writes:

> If the recipe to reproduce is this:
>
>   emacs -Q
>   M-: (setq max-lisp-eval-depth 32768) RET
>   M-x load-theme RET modus-vivendi RET
>
> then I cannot reproduce this with the current master branch: I get the
> theme loaded with no crash.

I tried reproducing it here, and did not get a crash either.

In GNU Emacs 30.0.50 (build 1, aarch64-apple-darwin23.3.0, NS
 appkit-2487.40 Version 14.3.1 (Build 23D60)) of 2024-05-19 built on
 foo.local
Repository revision: 9ec124e59ad3306a732749669f81aa4a870ce936
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2487
System Description:  macOS 14.3.1